LocaProxy Toolbar Version History

3 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 1.5.7 262.5 KiB Works with Firefox 1.5 and later

Fixed code compatibility issue with Firefox 44.

Version 1.5.6.1-signed 262.5 KiB Works with Firefox 1.5 and later

Version 1.5.5.1-signed 262.0 KiB Works with Firefox 1.5 and later